Page MenuHomePhabricator

Upload Zuul 2.5.1-wmf7 package to apt.wikimedia.org
Closed, ResolvedPublic

Description

I have build and deployed a new version of the Zuul package (2.5.1-wmf7) and I have uploaded the result at https://people.wikimedia.org/~hashar/debs/zuul_2.5.1-wmf7/

I have upgraded the WMCS instances and the production servers to use that new version already. The previous version was 2.5.1-wmf4 and was in jessie-wikimedia/main:

2.5.1-wmf4 0
  1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/main amd64 Packages

I also need the outdated version from jessie-wikimedia/thirdparty to be removed:

2.5.0-8-gcbc7f62-wmf4jessie1 0
  1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/thirdparty amd64 Packages

Event Timeline

hashar created this task.Apr 8 2019, 12:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2019, 12:52 PM
fgiunchedi triaged this task as Normal priority.Apr 9 2019, 8:37 AM
hashar renamed this task from Upload Zuul 2.5.1-wmf6 package to apt.wikimedia.org to Upload Zuul 2.5.1-wmf7 package to apt.wikimedia.org.Apr 17 2019, 12:21 PM
hashar updated the task description. (Show Details)
hashar added a comment.May 2 2019, 4:35 PM

I have already upgraded Zuul on the production machines as well as the WMCS instances. So uploading to apt.wikimedia.org would be a noop :]

Mentioned in SAL (#wikimedia-operations) [2019-05-03T10:42:14Z] <jbond42> T220380 upload zull_2.5.1-wmf7 to jessie-wikimedia

Mentioned in SAL (#wikimedia-operations) [2019-05-03T10:43:49Z] <jbond42> T220380 remove zull_2.5.0-8-gcbc7f62-wmf4jessie1 from jessie-wikimedia/thirdparty

jbond closed this task as Resolved.May 3 2019, 10:44 AM
jbond claimed this task.
jbond added a subscriber: jbond.

I have updated the new package and removed the thirdparty package let me know if you see any issues

contint2001 ~ % apt-cache policy zuul                                          
zuul:
  Installed: 2.5.1-wmf7
  Candidate: 2.5.1-wmf7
  Version table:
 *** 2.5.1-wmf7 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/main amd64 Packages
        100 /var/lib/dpkg/status

Looks all good. Thank you very much :)